## net.i2p.i2ptunnel.socks
Class ReplyTracker

    java.lang.Object
      net.i2p.i2ptunnel.socks.ReplyTracker

All Implemented Interfaces:
  Sink, Source

    public class ReplyTracker

extends Object
implements Source, Sink

Track who the reply goes to

Author:
  zzz

Constructor Summary
`ReplyTracker(Sink reply, Map cache)`

Method Summary
`void` `send(Destination to, byte[] data)`
`void` `setSink(Sink sink)`
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplyTracker

    public ReplyTracker(Sink reply,
                        Map cache)

Method Detail

### setSink

    public void setSink(Sink sink)

  Specified by:
    `setSink` in interface `Source`

### start

    public void start()

  Specified by:
    `start` in interface `Source`

### send

    public void send(Destination to,
                     byte[] data)

  Specified by:
    `send` in interface `Sink`